gnutls_openpgp_keyring_get_crt(3)

NAME
gnutls_openpgp_keyring_get_crt - export an openpgp certificate from a keyring

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_get_crt(gnutls_openpgp_keyring_t ring, unsigned int idx, gnutls_openpgp_crt_t * cert);

ARGUMENTS

gnutls_openpgp_keyring_t ring

unsigned int idx
    the index of the certificate to export

gnutls_openpgp_crt_t * cert

DESCRIPTION
This function will extract an OpenPGP certificate from the given keyring. If the index given is out of range GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned. The returned structure needs to be deinited.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.